QGIS Application - Feature request #11367
Filter option > OpenStreetMap - Export OpenStreetMap topology to Spatiallite
2014-10-08 09:53 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 19658
Description

| use this plugin because i want to get the most up-to date data from osm

Qgis is bad at handling multiple items on a single layer.

So for example, i have the multiple polygons that contain everything

They have the Buildings

They have the Landuse

They have the Amenity

Is impossible to style all of the different items, and still be easy to modify after-all

| can do this with a style-rule approach, and this is not ideal

This is why i prefer to export to a file ONLY the Buildings

To another file only the Landuse

To another file only the Amenity

In this way is more simple to style the individual files

In the current implementation i can only filter the TAGS that i want to export, but not the type of tag that i want to export
For example, if i want just the Buildings, i have to do :

Export file, select the building tags to export.

Open the db file that i exported, make a SQL statement to exclude the NULL argument

Save as a new file

Load the new file

History

#1 - 2014-10-08 01:15 PM - Borys Jurgiel
- Category changed from Plugin Manager to Vectors
- Assignee deleted (Borys Jurgiel)

| guess you mean the Vector -> OpenStreetMap menu. It's a core feature, not a plugin.
#2 - 2014-10-08 01:21 PM - Borys Jurgiel

- Subject changed from Filter option > OpenStreetMap plugin - Export OpenStreetMap topology to Spatiallite to Filter option > OpenStreetMap - Export
OpenStreetMap topology to Spatiallite

#3 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#4 - 2018-01-16 07:07 AM - Nyall Dawson
- Resolution set to wonitfix

- Description updated
- Status changed from Open to Closed

OSM downloader has been removed from 3.0
